Save the consent mapping
PUT
/api/v1/workspaces/{workspace}/imports/{id}/consent
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/consent"
payload := strings.NewReader("{ \"evidence\": \"trust\", \"map\": { \"pending\": \"pending\", \"subscribed\": \"confirmed\", \"transactional\": \"skip\" }, \"pullSuppressions\": true, \"recordHistory\": true }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/consent';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"evidence":"trust","map":{"pending":"pending","subscribed":"confirmed","transactional":"skip"},"pullSuppressions":true,"recordHistory":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/consent \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "evidence": "trust", "map": { "pending": "pending", "subscribed": "confirmed", "transactional": "skip" }, "pullSuppressions": true, "recordHistory": true }'Permission: subscribers:import
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
evidence
required
string
map
required
object
pending
required
string
subscribed
required
string
transactional
required
string
pullSuppressions
required
boolean
recordHistory
required
boolean
Responses
Section titled “Responses”OK
Media typeapplication/json
object
doubleOptIn
required
boolean
evidence
required
string
evidenceSource
required
string
historyExample
required
string
inSync
required
integer format: int64
providers
required
Array<string>
pullSuppressions
required
boolean
recordHistory
required
boolean
sms
object
consentMapped
required
boolean
evidenceMapped
required
boolean
missing
required
Array<string>
statuses
required
Array<object>
object
contacts
required
integer format: int64
effect
required
string
handling
required
string
label
required
The source’s own word: subscribed, cleaned, archived with “abuse” complaint
string
locked
required
boolean
note
string
options
required
Array<object>
object
label
required
string
value
required
string
status
required
string
tone
required
string
suppressCount
required
integer format: int64
Example
{ "evidence": "trust", "statuses": [ { "tone": "ok" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}